Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.print
Class Printer

    java.lang.Object
      de.jsystems.framework.print.Printer

All Implemented Interfaces:
  Printable

public class Printer
extends Object
implements Printable

Klasse zum drucken einer PrintComponent. Hier geschieht das eigentliche Drucken. Von dieser Klasse sollten keine weiteren Klassen abgeleitet werden. Idee und Teile der Implementierung entnommen aus dem Onlinetutorial von Marty Hall.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS

Field Summary

Fields inherited from interface java.awt.print.Printable
`NO_SUCH_PAGE, PAGE_EXISTS`

Constructor Summary
`Printer()` Erzeugt einen neuen Printer.

Method Summary
`void` | `print(BusinessView c)` Druckt due uebergebene BusinessView auf dem angeschlossenen Drucker aus. das entspricht sozusagen einer Hardcopy des Bildschirmes, allerdings ohne das umliegende Frame oder den umliegenden Dialog.
`int` | `print(Graphics g, PageFormat pf, int pageIndex)` Methode aus dem Interface Printable.
`void` | `print(PrintComponent c)` Druckt die uebergebene PrintComponent auf dem angeschlossenen Drucker aus.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Printer

    public Printer()

  Erzeugt einen neuen Printer.

Method Detail

### print

    public void print(PrintComponent c)
               throws PrinterException

  Druckt die uebergebene PrintComponent auf dem angeschlossenen Drucker aus.

  Parameters:
    `c` - Die zu druckende PrintComponent.
  Throws:
    `PrinterException` - wenn ein Fehler beim Drucken auftritt.

### print

    public void print(BusinessView c)
               throws PrinterException

  Druckt due uebergebene BusinessView auf dem angeschlossenen Drucker aus. das entspricht sozusagen einer Hardcopy des Bildschirmes, allerdings ohne das umliegende Frame oder den umliegenden Dialog.

  Parameters:
    `c` - Die zu druckende BusinessView.
  Throws:
    `PrinterException` - wenn ein Fehler beim Drucken auftritt.

### print

    public int print(Graphics g,
                     PageFormat pf,
                     int pageIndex)

  Methode aus dem Interface Printable. Diese Methode wird aufgerufen, wenn wirklich gedruckt wird. In das uebergebene Graphics-Objekt malt die zu druckende Komponente ihren Inhalt und dieser erscheint dann auf dem Drucker.

  Specified by:
    `print` in interface `Printable`
  Parameters:
    `g` - Das Graphics-Objekt, auf dem gezeichnet werden soll.
    `pf` - Das Format der Seite, auf der gedruckt wird.
    `pageIndex` - Der Index der zu druckenden Seite.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD